/* eslint-disable react/prop-types */
import { Button, Card, CardContent, CardMedia, Typography } from '@mui/material'
import React from 'react'

// eslint-disable-next-line react/prop-types
const ShopCard = ({ item }) => {
  return (
    <div>
      <Card>
        <CardMedia component="img" height="150" image={item?.image} alt={item?.name} />
        <CardContent>
          <Typography gutterBottom variant="h5" component="div">
            {item?.name}
          </Typography>
          <Typography variant="body2" color="text.secondary">
            ${item?.price}
          </Typography>
          <Button
            variant="contained"
            color="primary"
            fullWidth
            // onClick={handleAddToCart}
            sx={{ marginTop: '10px' }}
          >
            Add to Cart
          </Button>
        </CardContent>
      </Card>
    </div>
  )
}

export default ShopCard
